API Explorer 891 endpoints

Create new user_operator_relationship

POST /obp/dynamic-entity/user_operator_relationship

OBPv4.0.0-dynamicEntity_createuser_operator_relationship_ Roles: CanCreateDynamicEntityRecord_user_operator_relationship(per bank) _User_operator_relationshipDynamic-EntityDynamic

Create new user_operator_relationship.

Describes the relationship between a User (the logged in User via OAuth2/OIDC or a Consent) and the Operator. This intersecting entity allows a many to many relationship between Users and Operators. This Dynamic Entity is part of OGCR.

Property List:

  • user_id: (Authenticated) User
  • operator_id: the operator (uu)id
  • relationship: relationship describes the user's relationship to the operator: the user is the subject, the operator is the object

MethodRouting settings example:

<details>

{
  "is_bank_id_exact_match":false,
  "method_name":"dynamicEntityProcess",
  "connector_name":"rest_vMar2019",
  "bank_id_pattern":".*",
  "parameters":[
    {
        "key":"entityName",
        "value":"user_operator_relationship"
    }
    {
        "key":"url",
        "value":"http://mydomain.com/xxx"
    }
  ]
}

</details>

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

Example request body
{
  "user_id": "3dece208-c95c-11f0-9041-54e1adfac5b1",
  "operator_id": "3dece208-c95c-11f0-9041-54e1adfac5b1",
  "relationship": "Managing Director, Employee, Accountant"
}
Example success response
{
  "user_operator_relationship": {
    "user_operator_relationship_id": "d8839721-ad8f-45dd-9f78-2080414b93f9",
    "user_id": "3dece208-c95c-11f0-9041-54e1adfac5b1",
    "operator_id": "3dece208-c95c-11f0-9041-54e1adfac5b1",
    "relationship": "Managing Director, Employee, Accountant"
  }
}
Possible errors (4)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-20006: User is missing one or more roles:
  • OBP-10001: Incorrect json format.
  • OBP-50000: Unknown Error.
Implemented by OBPv4.0.0 dynamicEntity_createuser_operator_relationship_ Originally /user_operator_relationship